# Uses of Class
com.ocient.jdbc.StPoint

Packages that use StPoint
Package
Description
com.ocient.jdbc

## Uses of StPoint in com.ocient.jdbc

Methods in com.ocient.jdbc that return types with arguments of type StPoint
Modifier and Type
Method
Description
`List<StPoint>`
StPolygon.`getExterior()`
`List<List<StPoint>>`
StPolygon.`getHoles()`
`List<StPoint>`
StLinestring.`getPoints()`
Constructor parameters in com.ocient.jdbc with type arguments of type StPoint
Modifier
Constructor
Description
``
`StLinestring(List<StPoint> points)`
``
`StPolygon(List<StPoint> exterior, List<List<StPoint>> holes)`